/* Exemplo usando argumentos de linha de comando e opoes
 * Ex: prog -ab -c param arg
 */

#include <stdio.h>     /* for printf */
#include <stdlib.h>    /* for exit */
#include <unistd.h>    /* for getopt */

int main (int argc, char **argv) {
  int c;
  
  c = getopt (argc, argv, "abc:");
  while ( c != -1 ) { // Se no h mais opes, sai do loop
    switch (c) {
    case 'a':
      printf ("opao a\n");
      break;
      
    case 'b':
      printf ("opao b\n");
      break;
      
    case 'c':
      printf ("opao c com parametro `%s'\n", optarg);
      break;
      
    case '?':  /* Opcao nao-reconhecida. getopt jah emitiu Mensagem de erro */
      break;
      
    default:
      printf ("?? getopt retornou caracter x%x ??\n", c);
    }

    c = getopt (argc, argv, "abc:");

  }
  
  if (optind < argc) {
    printf ("non-option ARGV-elements: ");
    while (optind < argc)
      printf ("%s ", argv[optind++]);
    printf ("\n");
  }
  
  exit (0);
}

